package repository

import (
	"errors"
	"gorm.io/gorm"
)

var (
	ErrRecordNotFound      = errors.New("query record not found")
	ErrBalanceInsufficient = errors.New("balance insufficient")
)

func WrapNotFoundError(err error) error {
	if errors.Is(err, gorm.ErrRecordNotFound) {
		return ErrRecordNotFound
	}

	return err
}
