package wallet

import "github.com/shopspring/decimal"

type Types int8

const (
	TypeAvailable   Types = iota + 1 // 可動用金額（使用者可以自由花用的餘額）
	TypeFreeze                       // 被凍結金額（交易進行中或風控鎖住的金額）
	TypeUnconfirmed                  // 未確認金額（交易已送出但區塊鏈尚未確認）
	// 以下為進階用途：合約或模擬交易錢包

	TypeContractAvailable   // 合約系統的可用金額
	TypeContractFreeze      // 合約中被凍結的金額
	TypeSimulationAvailable // 模擬交易可用金額（例如沙盒環境）
	TypeSimulationFreeze    // 模擬交易凍結金額
)

const (
	ContractSimulationAvailable int64 = 100000
)

var AllTypes = []Types{
	TypeAvailable, TypeFreeze, TypeUnconfirmed,
	TypeContractAvailable, TypeContractFreeze, TypeSimulationAvailable, TypeSimulationFreeze,
}

var AllAvailableTypes = []Types{
	TypeAvailable, TypeContractAvailable, TypeSimulationAvailable,
}

var InitContractSimulationAvailable = decimal.NewFromInt(ContractSimulationAvailable)
